System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Channels.IServerChannelSinkProvider

The is used to create Web Services Description Language (WSDL) schema in situations where the URL ends with the string "?wsdl", for example, http://localhost/longbeard?wsdl.

Provides the implementation for the server channel sink provider that creates instances.

- Constructor
  To be added

  Initializes a new instance of the class with default values.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with specified properties and provider data.

  A of configuration properties to use with the new instance of .
  A of instances to use with the new instance of .
  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.Remoting.Channels.IServerChannelSink `` To be added

  Creates a sink chain.

  The first sink of the newly formed channel sink chain.

  The channel for which to create the channel sink chain. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Returns the channel data for the channel that the current sink is associated with.

  A object in which the channel data is to be returned. 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.Remoting.Channels.IServerChannelSinkProvider To be added: an object of type 'Runtime.Remoting.Channels.IServerChannelSinkProvider' To be added

  Gets or sets the next in the sink provider chain.

  1.0.5000.0
  2.0.0.0